Bug 24811 - French SQL files for "news" contain broken link to the wiki
Summary: French SQL files for "news" contain broken link to the wiki
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low trivial (vote)
Assignee: Ava
QA Contact: Nick Clemens
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2020-03-05 12:02 UTC by Jonathan Druart
Modified: 2021-06-14 21:35 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
This fixes a broken link in the sample news items for the French language installer files (fr-FR and fr-CA).
Version(s) released in:
21.05.00,20.11.03,20.05.09,19.11.15


Attachments
Bug 24811: French SQL files "news" link fixed (7.11 KB, patch)
2021-01-19 21:10 UTC, Ava
Details | Diff | Splinter Review
Bug 24811: French SQL files "news" link fixed (7.27 KB, patch)
2021-01-20 20:21 UTC, David Nind
Details | Diff | Splinter Review
Bug 24811: French SQL files "news" link fixed (7.33 KB, patch)
2021-01-21 16:28 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-03-05 12:02:21 UTC
installer/data/mysql/fr-CA/facultatif/sample_news.sql
installer/data/mysql/fr-FR/2-Optionel/sample_news.sql

http://wiki.koha-community.org/doku.php?id=en:development:git_usage returns 404
Comment 1 Ava 2021-01-19 21:10:17 UTC
Created attachment 115362 [details] [review]
Bug 24811: French SQL files "news" link fixed

TEST PLAN:
1)Follow
https://wiki.koha-community.org/wiki/Installation_of_additional_languages_for_OPAC_and_INTRANET_staff_client
in order to install french.

2) When koha is in french, from home go to tools/outils, then
News/Annonces, make sure the two files are there.
    -If not, try importing the two files into your database

3) When koha is in french, on the home page, to the right there should
be 2 boxes with the heading Et maintenant ?, in each of them click on the 5th link "proposez des correctifs et des améliorations"

4) If it takes you to this link
https://wiki.koha-community.org/wiki/Version_Control_Using_Git
and there is no 404 error, the patch has worked
Comment 2 David Nind 2021-01-20 20:21:40 UTC
Created attachment 115452 [details] [review]
Bug 24811: French SQL files "news" link fixed

This fixes a broken link in the sample news items for fr-FR and fr-CA.

Test plan:

1) Apply the patch.

2) Install the French language files - see
https://wiki.koha-community.org/wiki/Installation_of_additional_languages_for_OPAC_and_INTRANET_staff_client

3) When Koha is in French, from the home page of the staff interface go to Tools/Outils > News/Annonces, and make sure the two news items are there.
    -If not, try importing the two files into your database or reset and install Koha in French (fr-FR or fr-CA).

4) There should be a news item with the heading Et maintenant ?, click the 5th link "proposez des correctifs et des améliorations".

5) If should take you to
https://wiki.koha-community.org/wiki/Version_Control_Using_Git
and there is no 404 error, the patch has worked!

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2021-01-20 20:26:06 UTC
Thanks Ava! 

I've updated the commit message and test plan slightly. I added a description after the bug heading - which can also be used as a starting point for the text for the release notes.

David
Comment 4 Nick Clemens 2021-01-21 16:28:57 UTC
Created attachment 115576 [details] [review]
Bug 24811: French SQL files "news" link fixed

This fixes a broken link in the sample news items for fr-FR and fr-CA.

Test plan:

1) Apply the patch.

2) Install the French language files - see
https://wiki.koha-community.org/wiki/Installation_of_additional_languages_for_OPAC_and_INTRANET_staff_client

3) When Koha is in French, from the home page of the staff interface go to Tools/Outils > News/Annonces, and make sure the two news items are there.
    -If not, try importing the two files into your database or reset and install Koha in French (fr-FR or fr-CA).

4) There should be a news item with the heading Et maintenant ?, click the 5th link "proposez des correctifs et des améliorations".

5) If should take you to
https://wiki.koha-community.org/wiki/Version_Control_Using_Git
and there is no 404 error, the patch has worked!

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Jonathan Druart 2021-01-22 13:53:56 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-01-29 13:29:40 UTC
Pushed to 20.11.x for 20.11.03
Comment 7 Andrew Fuerste-Henry 2021-02-04 20:58:01 UTC
Pushed to 20.05.x for 20.05.09
Comment 8 Victor Grousset/tuxayo 2021-02-08 20:51:30 UTC
Backported: Pushed to 19.11.x branch for 19.11.15